Bug 488456 - TLS handshake not working with GTalk.
TLS handshake not working with GTalk.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jabberd (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 08:16 EST by Gustavo Maciel Dias Vieira
Modified: 2009-07-14 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:26:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gustavo Maciel Dias Vieira 2009-03-04 08:16:14 EST
A bug in the crypto library used by GTalk, keeps jabberd (and other servers) from stablishing s2s connections to this service.

This is a GTalk bug (actually a Java bug), but due to GTalk importance many jabber servers created workarounds.

See:
http://jabberd2.xiaoka.com/ticket/256
https://support.process-one.net/browse/EJAB-877
http://twistedmatrix.com/trac/ticket/3463

Jabberd has released version 2.2.7.1 to address this issue. Also, the patch found here (http://jabberd2.xiaoka.com/ticket/256) can be cleanly applied on 2.2.4 and it solved the issue for me.

It would be nice to release a new or patched version of jabberd for Fedora 9/10.
Comment 1 Adrian Reber 2009-03-04 08:47:47 EST
2.2.7.1 is available in F11/rawhide. I will think about updating F10.
Comment 2 Bug Zapper 2009-06-09 23:35:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 13:26:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.